Vraag Hoe kan ik mijn octaaf-3.2.4 updaten naar octaaf-3.6.2?


Ik heb problemen met het gebruik van imsgesc en ginput in mijn octaaf-3.2.4-versie en wil graag upgraden naar octaaf-3.6.2, hoe kan dit worden gedaan?


1
2017-07-31 08:02


oorsprong




antwoorden:


Octaaf 3.6.2 downloaden Vanaf hier. Sla het op je harde schijf op en installeer het. Ga voor informatie over het installeren van .tar.gz naar deze.


0
2017-07-31 08:28





behalve installatie van de upstream-versie van de bron, je hebt een paar andere opties.

Installeren van kwantumpakketten

Octave 3.6.2 is verpakt voor Quantal (de komende Ubuntu-release). Het kan (meestal werkt het soms niet) werken download deze pakketten handmatig.

  1. Uitbreiden 3.6.2-3 onder "The Quantal Quetzal (actieve ontwikkeling)".
  2. Verkrijg de pakketten voor je architectuur--i386 of amd64.
  3. Haal die voor all architecturen ook.
  4. Zet ze in een map die geen andere bestanden bevat.
  5. Open een Terminal-venster (Ctrl+alt+T).
  6. Voer deze opdracht uit:

    sudo dpkg -Ri naam van de map

    (U kunt de map van Nautilus naar de terminal slepen en deze plakt de volledige naam automatisch.)

  7. Als u wordt verteld dat een of meer pakketten niet kunnen worden geconfigureerd, controleert u of u bent verbonden met internet en voert u het volgende uit:

    sudo apt-get -f install
    sudo dpkg --configure -a
    

Gebruik een PPA

Mogelijk kunt u Octave 3.6.2 vooraf gebouwd vinden voor de Ubuntu-release die u momenteel uitvoert, geleverd door een niet-officiële PPA. Als dit het geval is, is dit misschien de beste manier om het te installeren. Maar alsjeblieft lees dit eerst dus je bent op de hoogte van mogelijke gevaren van PPA's.

Je kunt enkele PPA's vinden die Octave bieden (hoewel het niet noodzakelijk een volledige lijst zal zijn) door naar de onderkant van te gaan deze pagina en klikken op de groene link met de tekst 'Andere versies van' octaaf 'in niet-vertrouwde archieven. "

In het bijzonder, als u Ubuntu 12.04 gebruikt, zou ik voorstellen om te gebruiken Albert Graef's PPA voor die versie.

U kunt deze PPA inschakelen en Octave ervan installeren door deze opdrachten in de Terminal uit te voeren:

sudo add-apt-repository ppa:dr-graef/octave-3.6.precise
sudo apt-get update
sudo apt-get install octave

0
2017-07-31 21:42